Page MenuHomePhabricator

rust-discovery: accept the new 'respectsize' init arg
ClosedPublic

Authored by gracinet on Jun 12 2019, 2:13 PM.

Details

Summary

At this stage, we don't do anything about it: it will be meaningful
in sampling methods that aren't implemented yet.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

gracinet created this revision.Jun 12 2019, 2:13 PM
Alphare updated this revision to Diff 15931.Jul 17 2019, 12:30 PM
kevincox accepted this revision.Jul 22 2019, 11:25 AM

It seems weird to add this argument without using it. I would much rather it was added as the implementation was added.

It seems weird to add this argument without using it. I would much rather it was added as the implementation was added.

I think it makes sense considering this is supposed to be a drop-in replacement for the Python implementation, though I would prefer if there were a comment about it.
I'll update with the comment as well as the new import syntax.

Alphare updated this revision to Diff 16010.Jul 23 2019, 5:14 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.